KDE 4.2 PyKDE API Reference

- KDE's Python API

# KBookmarkContextMenu Class Reference

`from PyKDE4.kio import *`

Inherits: KMenu → QMenu → QWidget → QObject
Subclasses: KonqBookmarkContextMenu

## Detailed Description

## Methods

| __init__ (self, KBookmark bm, KBookmarkManager manager, KBookmarkOwner owner, QWidget parent=0)
| addActions (self)
| addBookmark (self)
| addBookmarkActions (self)
| addFolderActions (self)
| addOpenFolderInTabs (self)
| addProperties (self)
KBookmark | bookmark (self)
KBookmarkManager | manager (self)
KBookmarkOwner | owner (self)
| slotCopyLocation (self)
| slotEditAt (self)
| slotInsert (self)
| slotOpenFolderInTabs (self)
| slotProperties (self)
| slotRemove (self)

## Method Documentation

__init__ | ( | self, |
|  | KBookmark | bm,
|  | KBookmarkManager | manager,
|  | KBookmarkOwner | owner,
|  | QWidget | parent=0
| ) |  |  |

addActions | ( |  | self ) |

addBookmark | ( |  | self ) |

addBookmarkActions | ( |  | self ) |

addFolderActions | ( |  | self ) |

addOpenFolderInTabs | ( |  | self ) |

addProperties | ( |  | self ) |

KBookmark bookmark | ( |  | self ) |

KBookmarkManager manager | ( |  | self ) |

KBookmarkOwner owner | ( |  | self ) |

slotCopyLocation | ( |  | self ) |

slotEditAt | ( |  | self ) |

slotInsert | ( |  | self ) |

slotOpenFolderInTabs | ( |  | self ) |

slotProperties | ( |  | self ) |

slotRemove | ( |  | self ) |